<template>
  <button
    @click="openBasket"
    type="button" class="rounded-full bg-gray-800 p-1 text-gray-400 hover:text-white focus:outline-none focus:ring-2 focus:ring-white focus:ring-offset-2 focus:ring-offset-gray-800"
  >
    <span class="sr-only">Cart</span>
    <ShoppingBagIcon class="h-6 w-6" aria-hidden="true" />
    {{ productsCount }}
  </button>
</template>

<script setup lang="ts">
import { useBasket } from '~/composable/useBasket';
import { ShoppingBagIcon } from '@heroicons/vue/24/outline'

const {openBasket, productsCount} = useBasket()
</script>